1. Users
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
        GET
  • Settings
    • List titles
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List provinces
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Users

List users

GET
/users

Request

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/users?createdByType=undefined&createdByID=undefined&createdOnDateTime=undefined&lastUpdatedOnDateTime=undefined&limit=undefined&after=undefined&before=undefined&deleted=undefined'
Response Response Example
200 - Example 1
{
    "id": 0,
    "createdByUser": "string",
    "createdOnDateTime": "string",
    "lastUpdatedOnDateTime": "string",
    "status": "string",
    "lastLoggedInOnWeb": "string",
    "firstName": "string",
    "lastName": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "addressLine3": "string",
    "town": "string",
    "province": "string",
    "provinceID": 0,
    "postcode": "string",
    "landline": "string",
    "mobile": "string",
    "appearOnSchedule": true,
    "skills": [
        {
            "id": 0,
            "skill": "string"
        }
    ],
    "shift": "string",
    "shiftID": 0,
    "publicHolidayGroups": [
        {
            "id": "string",
            "publicHolidayGroup": "string"
        }
    ]
}
Modified at 2026-09-18 12:33:00
Previous
Mark as aborted
Next
List titles
Built with